## python-modelcif 1.5

=== requirements.txt ===
ihm >= 2.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Python-IHM
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
ihm >= 0.27

=== debian/changelog ===
python-modelcif (1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1109466)

  [ Thorsten Alteholz ]
  * d/copyright: docs/* directly assigned to Ben

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Oct 2025 16:07:11 +0100

=== debian/control ===
Source: python-modelcif
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
 Ben Webb <ben@salilab.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-ihm,
Vcs-Browser: https://salsa.debian.org/med-team/python-modelcif
Vcs-Git: https://salsa.debian.org/med-team/python-modelcif.git
Homepage: https://github.com/ihmwg/python-modelcif
Rules-Requires-Root: no

Package: python3-modelcif
Section: python
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: handles mmCIF and BinaryCIF files with ModelCIF extension
 The macromolecular Crystallographic Information File format is a standard
 for the representation and description of large molecular structures like
 proteins and/or nucleic acids.
 .
 This package provides a mechanism to describe the generation of a
 theoretical model (for example, via comparative or homology model)
 a set of Python objects. This includes, if applicable
  * the templates(s) used for the modeling;
  * the alignment between the template(s) and target sequence;
  * the protocol used to generate models, such as template search,
    modeling, and model selection;
  * the actual coordinates of output models;
  * grouping of multiple models;
  * quality scores for models and/or alignments.
 .
 Once created, this set of Python objects can be written to an
 mmCIF file that is compliant with the ModelCIF extension to the
 PDBx/mmCIF dictionary, suitable for deposition in a repository such as
 ModelArchive. The files can be viewed in any regular PDBx mmCIF viewer,
 such as UCSF ChimeraX (although most viewers to date will only show
 the model coordinates, not the ModelCIF-specific metadata).
 .
 This package leverages functionality provided by the python-ihm
 package, which functions similarly, building a Python hierarchy
 and then reading/writing mmCIF files. (However, python-ihm is used
 for integrative models, and reads or writes files compliant with the
 integrative/hybrid modeling extension dictionary.) In particular, many
 python-ihm classes and modules are used in this library, for example
 the ihm.Grant and ihm.Citation classes for handling grant or citation
 information, or the ihm.dictionary module for validating files against
 the mmCIF dictionary itself.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=modelcif

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ihmwg/python-modelcif/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
